Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 933876 - net-voip/murmur-1.5.634 adds -Werror flag on its own
Summary: net-voip/murmur-1.5.634 adds -Werror flag on its own
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Kenton Groombridge
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: werror
  Show dependency tree
 
Reported: 2024-06-09 19:04 UTC by Agostino Sarubbo
Modified: 2024-06-10 14:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,288.30 KB, text/plain)
2024-06-09 19:04 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-06-09 19:04:28 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-voip/murmur-1.5.634 adds -Werror flag on its own.
Discovered on: amd64 (internal ref: ci)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0035
Comment 1 Agostino Sarubbo gentoo-dev 2024-06-09 19:04:29 UTC
Created attachment 895478 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-10 14:36:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=855d7c87baa70cab57d634f459f97cf589e2f529

commit 855d7c87baa70cab57d634f459f97cf589e2f529
Author:     Kenton Groombridge <concord@gentoo.org>
AuthorDate: 2024-06-10 14:35:26 +0000
Commit:     Kenton Groombridge <concord@gentoo.org>
CommitDate: 2024-06-10 14:35:26 +0000

    net-voip/murmur: avoid -Werror during build
    
    Closes: https://bugs.gentoo.org/933876
    Signed-off-by: Kenton Groombridge <concord@gentoo.org>

 net-voip/murmur/murmur-1.5.634.ebuild | 1 +
 net-voip/murmur/murmur-9999.ebuild    | 1 +
 2 files changed, 2 insertions(+)